Module SQL_採購系統管理
    '---------------------供應商資料表-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_供應商資料表_清單()
        If 供應商資料表.精準查詢_ch.Checked = True Then : SQL2 = "AND"
        ElseIf 供應商資料表.精準查詢_ch.Checked = False Then : SQL2 = "OR" : End If
        ConnOpen()
        If 供應商資料表.查詢_tb.Text = "" Then
            If 供應商資料表.地區編碼_cb.Text = "" Then
                SQL1 = "SELECT 編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話 AS 手機, 傳真, POS, 備註1, 備註2, 登入日期, 結算日, 
                               KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率
                        FROM   供應商資料表
                        ORDER BY   編號"
            ElseIf 供應商資料表.地區編碼_cb.Text <> "9" And 供應商資料表.地區編碼_cb.Text <> "" Then
                SQL1 = "SELECT 編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話 AS 手機, 傳真, POS, 備註1, 備註2, 登入日期, 結算日, 
                               KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率
                        FROM   供應商資料表
                        WHERE  (編號 LIKE N'" & 供應商資料表.地區編碼_cb.Text & "%') " & SQL2 & " 
                               (公司地址 LIKE '%" & 供應商資料表.地區_cb.Text & "%' OR 店面地址 LIKE '%" & 供應商資料表.地區_cb.Text & "%' OR 工廠地址 LIKE '%" & 供應商資料表.地區_cb.Text & "%') 
                        ORDER BY   編號"
            ElseIf (物料檔案.地區編碼_cb.Text <> "9" Or 物料檔案.地區編碼_cb.Text = "Y") Or 供應商資料表.地區編碼_cb.Text = "Y" Then
                SQL1 = "SELECT 編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話 AS 手機, 傳真, POS, 備註1, 備註2, 登入日期, 結算日, 
                               KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率
                        FROM   供應商資料表
                        WHERE  (編號 LIKE N'" & 供應商資料表.地區編碼_cb.Text & "%') ORDER BY   編號"
            End If
        Else
            If 供應商資料表.地區編碼_cb.Text = "" Then
                SQL1 = "SELECT 編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話 AS 手機, 傳真, POS, 備註1, 備註2, 登入日期, 結算日, 
                               KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率
                        FROM   供應商資料表
                        WHERE (供應商 LIKE N'%" & PA & "%' OR 公司地址 LIKE N'%" & PA & "%' OR 電話1 LIKE N'%" & PA & "%' OR 電話2 LIKE N'%" & PA & "%' OR 電話3 LIKE N'%" & PA & "%' OR 
                               電話4 LIKE N'%" & PA & "%' OR 店面地址 LIKE N'%" & PA & "%' OR 店面電話 LIKE N'%" & PA & "%' OR 簡稱 LIKE N'%" & PA & "%' OR 工廠地址 LIKE N'%" & PA & "%' OR 
                               聯繫人1 LIKE N'%" & PA & "%' OR 聯繫人2 LIKE N'%" & PA & "%' OR 電話 LIKE N'%" & PA & "%' OR 傳真 LIKE N'%" & PA & "%' OR 備註1 LIKE N'%" & PA & "%' OR 
                               備註2 LIKE N'%" & PA & "%')
                        ORDER BY   編號"
            ElseIf (物料檔案.地區編碼_cb.Text <> "9" Or 物料檔案.地區編碼_cb.Text = "Y") And 供應商資料表.地區編碼_cb.Text <> "" Then
                SQL1 = "SELECT 編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話 AS 手機, 傳真, POS, 備註1, 備註2, 登入日期, 結算日, 
                               KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率
                        FROM   供應商資料表
                        WHERE (編號 LIKE N'" & 供應商資料表.地區編碼_cb.Text & "%') " & SQL2 & " 
                              (公司地址 LIKE '%" & 供應商資料表.地區_cb.Text & "%' OR 店面地址 LIKE '%" & 供應商資料表.地區_cb.Text & "%' OR 工廠地址 LIKE '%" & 供應商資料表.地區_cb.Text & "%') AND 
                              (供應商 LIKE N'%" & PA & "%' OR 公司地址 LIKE N'%" & PA & "%' OR 電話1 LIKE N'%" & PA & "%' OR 
                               電話2 LIKE N'%" & PA & "%' OR 電話3 LIKE N'%" & PA & "%' OR 電話4 LIKE N'%" & PA & "%' OR 店面地址 LIKE N'%" & PA & "%' OR 店面電話 LIKE N'%" & PA & "%' OR 
                               簡稱 LIKE N'%" & PA & "%' OR 工廠地址 LIKE N'%" & PA & "%' OR 聯繫人1 LIKE N'%" & PA & "%' OR 聯繫人2 LIKE N'%" & PA & "%' OR 電話 LIKE N'%" & PA & "%' OR 
                               傳真 LIKE N'%" & PA & "%' OR 備註1 LIKE N'%" & PA & "%' OR 備註2 LIKE N'%" & PA & "%')
                        ORDER BY   編號"
            ElseIf 供應商資料表.地區編碼_cb.Text = "9" Or 供應商資料表.地區編碼_cb.Text = "Y" Then
                SQL1 = "SELECT 編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話 AS 手機, 傳真, POS, 備註1, 備註2, 登入日期, 結算日, 
                               KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率
                        FROM   供應商資料表
                        WHERE (編號 LIKE N'" & 供應商資料表.地區編碼_cb.Text & "%') AND 
                              (供應商 LIKE N'%" & PA & "%' OR 公司地址 LIKE N'%" & PA & "%' OR 電話1 LIKE N'%" & PA & "%' OR 
                               電話2 LIKE N'%" & PA & "%' OR 電話3 LIKE N'%" & PA & "%' OR 電話4 LIKE N'%" & PA & "%' OR 店面地址 LIKE N'%" & PA & "%' OR 店面電話 LIKE N'%" & PA & "%' OR 
                               簡稱 LIKE N'%" & PA & "%' OR 工廠地址 LIKE N'%" & PA & "%' OR 聯繫人1 LIKE N'%" & PA & "%' OR 聯繫人2 LIKE N'%" & PA & "%' OR 電話 LIKE N'%" & PA & "%' OR 
                               傳真 LIKE N'%" & PA & "%' OR 備註1 LIKE N'%" & PA & "%' OR 備註2 LIKE N'%" & PA & "%')
                        ORDER BY   編號"
            End If
        End If
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_供應商資料表_編號_最後一筆資料()
        ConnOpen() : SQL1 = "SELECT TOP (1) 編號 FROM 供應商資料表 WHERE (編號 LIKE N'" & 供應商資料表.地區編碼_cb.Text & "%') ORDER BY 編號 DESC" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_供應商資料表_新增()
        ConnOpen()
        SQL1 = "INSERT INTO 供應商資料表 (編號, 簡稱, 供應商, 公司地址, 電話1, 電話2, 電話3, 電話4, 店面地址, 店面電話, 工廠地址, 聯繫人1, 聯繫人2, 電話, 傳真, POS, 備註1, 
                                          備註2, 登入日期, 結算日, KR1, KR2, KR3, PEC, 停用, 票期, 支票_私人, 支票_公司, 稅金倍率, 廣告費倍率) 
                VALUES (N'" & PA & "', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'', N'" & DTP & "', N'0', N'0', N'0', N'0', N'0', 
                        N'0', N'15', N'', N'', N'0', N'0')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_供應商資料表_修改()
        ConnOpen()
        SQL1 = "UPDATE 供應商資料表 SET 簡稱 = N'" & 供應商資料表.簡稱_tb.Text & "', 供應商 = N'" & 供應商資料表.供應商_tb.Text & "', 公司地址 = N'" & 供應商資料表.公司地址_tb.Text & "', 
                                        電話1 = N'" & 供應商資料表.電話1_tb.Text & "', 電話2 = N'" & 供應商資料表.電話2_tb.Text & "', 電話3 = N'" & 供應商資料表.電話3_tb.Text & "', 
                                        電話4 = N'" & 供應商資料表.電話4_tb.Text & "', 店面地址 = N'" & 供應商資料表.店面地址_tb.Text & "', 店面電話 = N'" & 供應商資料表.店面電話_tb.Text & "', 
                                        工廠地址 = N'" & 供應商資料表.工廠地址_tb.Text & "', 聯繫人1 = N'" & 供應商資料表.聯繫人1_tb.Text & "', 聯繫人2 = N'" & 供應商資料表.聯繫人2_tb.Text & "', 
                                        電話 = N'" & 供應商資料表.手機_tb.Text & "', 傳真 = N'" & 供應商資料表.傳真_tb.Text & "', POS = N'" & 供應商資料表.POS_tb.Text & "', 
                                        備註1 = N'" & 供應商資料表.備註1_tb.Text & "', 備註2 = N'" & 供應商資料表.備註2_tb.Text & "', 登入日期 = N'" & 供應商資料表.登入日期_dtp.Value & "', 
                                        結算日 = N'" & 供應商資料表.結算日_nud.Value & "', KR1 = N'" & 供應商資料表.KR1_nud.Value & "', KR2 = N'" & 供應商資料表.KR2_nud.Value & "', 
                                        KR3 = N'" & 供應商資料表.KR3_nud.Value & "', PEC = N'" & 供應商資料表.PEC_cb.Text & "', 停用 = N'" & 供應商資料表.停用_ch.Checked & "', 
                                        票期 = N'" & 供應商資料表.票期_cb.Text & "', 支票_私人 = N'" & 供應商資料表.私人支票_tb.Text & "', 支票_公司 = N'" & 供應商資料表.公司支票_tb.Text & "', 
                                        稅金倍率 = N'" & 供應商資料表.稅金倍率_tb.Text & "', 廣告費倍率 = N'" & 供應商資料表.廣告費倍率_tb.Text & "' 
                WHERE (編號 = N'" & 供應商資料表.編號_tb.Text & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_供應商資料表_批量存檔()
        ConnOpen()
        SQL1 = "UPDATE 供應商資料表 SET 簡稱 = N'" & PA2 & "', 供應商 = N'" & PA3 & "', 公司地址 = N'" & PA4 & "', 電話1 = N'" & PA5 &
                                    "', 電話2 = N'" & PA6 & "', 電話3 = N'" & PA7 & "', 電話4 = N'" & PA8 & "', 店面電話 = N'" & PA9 &
                                    "', 電話 = N'" & PA10 & "' , 傳真 = N'" & PA11 & "', 票期 = N'" & PA12 & "', 支票_私人 = N'" & PA13 &
                                    "', 支票_公司 = N'" & PA14 & "', 稅金倍率 = N'" & PA15 & "', 廣告費倍率 = N'" & PA16 & "'
                WHERE  編號 LIKE N'" & PA1 & "'"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_供應商資料表_刪除()
        ConnOpen() : SQL1 = "DELETE 供應商資料表 WHERE (編號 = N'" & 供應商資料表.編號_tb.Text & "')" : CmdSet_For_dr()
    End Sub
    '---------------------一般性申請採購單-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_採購申請單_單據()
        ConnOpen() : SQL1 = "SELECT 執行單號, 申請人, 申請日期 FROM 倉儲明細表 WHERE (狀態 LIKE N'採購入庫') AND (審核人 LIKE '') GROUP BY 執行單號, 申請人, 申請日期" : CmdSet_For_DGV()
    End Sub
    '---------------------依銷售申請採購單-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_銷售控制表_轉採購()
        ConnOpen()
        SQL1 = "SELECT   流水號, 單號, 開單日期, 客戶編號, 交貨日期, 含稅, 單位主管, 審核日期, 業務人員, 送貨地點, 運費
                FROM     銷售控制表
                WHERE   (單號 LIKE '" & PA19 & "%' AND 單位主管 NOT LIKE '作廢%') AND (單位主管 NOT LIKE '') AND (轉採購 IS NULL OR 轉採購 = 0) 
                ORDER BY   CHARINDEX(LEFT(單號, 1), '123456789ABCDEFGHIJKLMNOPQRSTUVWXYZ'), 單號 DESC"
        CmdSet_For_DGV()
    End Sub
    '---------------------採購對帳單-----------------------------------------------------------------------------------------------------------------
    Friend Sub SQL_採購對帳單_總表供應商外埔()
        ConnOpen() : SQL1 = "SELECT  簡稱  FROM  供應商資料表  WHERE  (編號 LIKE '" & PA36 & "')" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_採購對帳單_總表1()
        ConnOpen()
        SQL1 = "SELECT     TOP (" & NN1 & ") SS.編號, SS.供應商, SS.當月貨款, SS.稅金1, SS.[稅金%], SS.稅金, SS.廣告1, SS.[廣告%], SS.廣告, SS.其他扣款, 
                           SS.實付金額, SS.票期1, SS.票期, SS.[公司%], SS.[個人%], SS.公司, SS.個人, SS.支票_公司, SS.支票_私人, 
                           採購外埔表.廠商編碼
                FROM       採購外埔表 FULL OUTER JOIN
                          (SELECT    TOP (100) PERCENT LEFT(採購控制表.料號, 4) AS 編號, 供應商資料表.簡稱 AS 供應商, 
                                     SUM(採購控制表.數量 * 採購控制表.成本) AS 當月貨款, 供應商資料表.稅金倍率 AS 稅金1, 
                                     QQ.稅金 AS [稅金%], QQ.稅金, 供應商資料表.廣告費倍率 AS 廣告1, QQ.廣告 AS [廣告%], QQ.廣告, 
                                     QQ.其他扣款, QQ.其他扣款 AS 實付金額, 供應商資料表.票期 AS 票期1, QQ.票期, QQ.公帳 AS [公司%], 
                                     QQ.私帳 AS [個人%], QQ.公帳 AS 公司, QQ.私帳 AS 個人, 供應商資料表.支票_公司, 
                                     供應商資料表.支票_私人
                           FROM     (SELECT  年月, 客編, 稅金, 廣告, 其他扣款, 票期, 公帳, 私帳  FROM  應付帳款基數
                                     WHERE  (年月 LIKE '" & Strings.Left(Format(採購應付帳款.結束日期_dtp.Value, "yyyy/MM/dd"), 7) & "')) AS QQ RIGHT OUTER JOIN
                                     供應商資料表 ON QQ.客編 = 供應商資料表.編號 RIGHT OUTER JOIN
                                     採購控制表 ON 供應商資料表.編號 = LEFT(採購控制表.料號, 4)
                           WHERE    (採購控制表.過帳日期 BETWEEN '" & Format(採購應付帳款.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND '" & Format(採購應付帳款.結束日期_dtp.Value, "yyyy/MM/dd") & "') 
                                     AND (採購控制表.已過帳 = 1)
                           GROUP BY  LEFT(採購控制表.料號, 4), 供應商資料表.簡稱, 供應商資料表.票期, 供應商資料表.稅金倍率, 
                                     供應商資料表.廣告費倍率, QQ.票期, QQ.稅金, QQ.廣告, QQ.其他扣款, QQ.公帳, QQ.私帳, 
                                     供應商資料表.支票_公司, 供應商資料表.支票_私人) AS SS ON 採購外埔表.廠商編碼 = SS.編號
                GROUP BY   SS.編號, SS.供應商, SS.當月貨款, SS.稅金1, SS.[稅金%], SS.稅金, SS.廣告1, SS.[廣告%], SS.廣告, SS.其他扣款, 
                           SS.實付金額, SS.票期1, SS.票期, SS.[公司%], SS.[個人%], SS.公司, SS.個人, SS.支票_公司, SS.支票_私人, 
                           採購外埔表.廠商編碼
                ORDER BY   SS.編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_採購對帳單_總表()
        ConnOpen()
        SQL1 = "SELECT     SS.編號, SS.供應商, SS.當月貨款, SS.稅金1, SS.[稅金%], SS.稅金, SS.廣告1, SS.[廣告%], SS.廣告, SS.其他扣款, 
                           SS.實付金額, SS.票期1, SS.票期, SS.[公司%], SS.[個人%], SS.公司, SS.個人, SS.支票_公司, SS.支票_私人, 
                           採購外埔表.廠商編碼
                FROM       採購外埔表 FULL OUTER JOIN
                          (SELECT    TOP (100) PERCENT LEFT(採購控制表.料號, 4) AS 編號, 供應商資料表.簡稱 AS 供應商, 
                                     SUM(採購控制表.數量 * 採購控制表.成本) AS 當月貨款, 供應商資料表.稅金倍率 AS 稅金1, 
                                     QQ.稅金 AS [稅金%], QQ.稅金, 供應商資料表.廣告費倍率 AS 廣告1, QQ.廣告 AS [廣告%], QQ.廣告, 
                                     QQ.其他扣款, QQ.其他扣款 AS 實付金額, 供應商資料表.票期 AS 票期1, QQ.票期, QQ.公帳 AS [公司%], 
                                     QQ.私帳 AS [個人%], QQ.公帳 AS 公司, QQ.私帳 AS 個人, 供應商資料表.支票_公司, 
                                     供應商資料表.支票_私人
                           FROM     (SELECT  年月, 客編, 稅金, 廣告, 其他扣款, 票期, 公帳, 私帳  FROM  應付帳款基數
                                     WHERE  (年月 LIKE '" & Strings.Left(Format(採購應付帳款.結束日期_dtp.Value, "yyyy/MM/dd"), 7) & "')) AS QQ RIGHT OUTER JOIN
                                     供應商資料表 ON QQ.客編 = 供應商資料表.編號 RIGHT OUTER JOIN
                                     採購控制表 ON 供應商資料表.編號 = LEFT(採購控制表.料號, 4)
                           WHERE    (採購控制表.過帳日期 BETWEEN '" & Format(採購應付帳款.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND '" & Format(採購應付帳款.結束日期_dtp.Value, "yyyy/MM/dd") & "') 
                                     AND (採購控制表.已過帳 = 1)
                           GROUP BY  LEFT(採購控制表.料號, 4), 供應商資料表.簡稱, 供應商資料表.票期, 供應商資料表.稅金倍率, 
                                     供應商資料表.廣告費倍率, QQ.票期, QQ.稅金, QQ.廣告, QQ.其他扣款, QQ.公帳, QQ.私帳, 
                                     供應商資料表.支票_公司, 供應商資料表.支票_私人) AS SS ON 採購外埔表.廠商編碼 = SS.編號
                GROUP BY   SS.編號, SS.供應商, SS.當月貨款, SS.稅金1, SS.[稅金%], SS.稅金, SS.廣告1, SS.[廣告%], SS.廣告, SS.其他扣款, 
                           SS.實付金額, SS.票期1, SS.票期, SS.[公司%], SS.[個人%], SS.公司, SS.個人, SS.支票_公司, SS.支票_私人, 
                           採購外埔表.廠商編碼
                ORDER BY   SS.編號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_採購對帳單_明細()
        ConnOpen()
        SQL1 = "SELECT      採購控制表.資料流水號, 採購控制表.銷售單號, 採購控制表.供商編號, 供應商資料表.簡稱 AS 供應商, 
                            採購控制表.料號, 物料資料庫.品名, 採購控制表.倉儲狀態, 倉儲分區控制表.倉名, 採購控制表.訂製狀態, 
                            物料訂製狀態.訂製, 採購控制表.物料狀態, 倉儲狀態.狀態, 採購控制表.備註, 採購控制表.訂製圖號, 採購控制表.數量, 
                            採購控制表.成本, 採購控制表.採購總價 AS 金額, 採購控制表.申請人, 採購控制表.申請日期, 採購控制表.採購日期, 
                            採購控制表.預計進廠日, 採購控制表.實際進廠日, 採購控制表.過帳日期, 採購控制表.已入庫, 採購控制表.已審核
                FROM        採購控制表 INNER JOIN
                            供應商資料表 ON 採購控制表.供商編號 = 供應商資料表.編號 INNER JOIN
                            物料資料庫 ON 採購控制表.料號 = 物料資料庫.料號 INNER JOIN
                            倉儲狀態 ON 採購控制表.物料狀態 = 倉儲狀態.編碼 INNER JOIN
                            物料訂製狀態 ON 採購控制表.訂製狀態 = 物料訂製狀態.編碼 INNER JOIN
                            倉儲分區控制表 ON 採購控制表.倉儲狀態 = 倉儲分區控制表.倉名編號
                WHERE      (採購控制表.過帳日期 BETWEEN '" & Format(採購應付帳款.開始日期_dtp.Value, "yyyy/MM/dd") & "' AND '" & Format(採購應付帳款.結束日期_dtp.Value, "yyyy/MM/dd") & "') AND 
                           (採購控制表.已過帳 = 1)
                ORDER BY    採購控制表.供商編號, 採購控制表.料號"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_採購對帳單_合計()
        ConnOpen()
        SQL1 = "SELECT 票期, 數值 AS 公司, 數值 AS 個人 FROM 應付帳款基數 
                WHERE (年月 LIKE '" & Strings.Left(Format(採購應付帳款.結束日期_dtp.Value, "yyyy/MM/dd"), 7) & "') 
                GROUP BY 票期, 數值 ORDER BY 票期"
        CmdSet_For_DGV()
    End Sub
    Friend Sub SQL_採購對帳單_刪除當天()
        ConnOpen() : SQL1 = "DELETE 應付帳款基數 WHERE 年月 LIKE '" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_採購對帳單_判斷是否有資料()
        ConnOpen() : SQL1 = "SELECT 年月 FROM 應付帳款基數 WHERE 年月 LIKE '" & PA & "'" : CmdSet_For_dr()
    End Sub
    Friend Sub SQL_採購對帳單_存檔()
        ConnOpen()
        SQL1 = "INSERT INTO 應付帳款基數 (年月, 客編, 稅金, 廣告, 其他扣款, 票期, 公帳, 私帳) 
                VALUES (N'" & PA & "', N'" & PA1 & "', N'" & Val(PA2) & "', N'" & Val(PA3) & "', N'" & Val(PA4) & "', N'" & PA5 & "', N'" & Val(PA6) & "', N'" & Val(PA7) & "')"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_採購應付帳款_查詢公帳控制表會計科目()
        ConnOpen()
        SQL1 = "SELECT 會計科目, 編號 FROM 會計科目 WHERE (LEFT(編號, 7) LIKE N'" & 採購應付帳款.副會科編號_cb.Text & "') AND (停用 = 0) AND (統制科目 = 0) ORDER BY 編號"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_採購應付帳款_查詢最後一筆公帳控制表會計科目()
        ConnOpen()
        SQL1 = "SELECT 第一階, LEFT(編號, 4) AS 編號 FROM 會計科目  WHERE (停用 = 0) GROUP BY 第一階, LEFT(編號, 4) ORDER BY 編號"
        CmdSet_For_dr()
    End Sub
    Friend Sub SQL_採購應付帳款_查詢最左邊公帳控制表會計科目()
        ConnOpen()
        SQL1 = "SELECT LEFT(編號, 7) AS 編號, 第二階, 層級 FROM  會計科目 WHERE (LEFT(編號, 4) LIKE N'" & 採購應付帳款.主會科編號_cb.Text & "') AND (層級 NOT LIKE '3') AND (停用 = 0)
                GROUP BY   LEFT(編號, 7), 第二階, 層級 ORDER BY   編號"
        CmdSet_For_dr()
    End Sub
End Module
